ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
unit_tests Class Reference

## Public Member Functions
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| test_display_list ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| test_display_list ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_get_unexisting_data ()
| test_set_existing_data ()
| test_set_unexisting_data ()
| test_deleting_data ()
| test_deleting_data_by_tag ()
| set_up ()
| tear_down ()
| test_file_exists_put_in_cache ()
| test_file_not_exists_data_in_cache ()
| test_file_exists_data_not_in_cache ()
| test_file_get_contents_from_disk ()
| test_file_get_contents_from_cache ()
| test_set_un_existing_data ()
| test_file_put_contents ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| test_display_list ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| test_function_size ()
| set_up ()
| tear_down ()
| test_load_package ()
| test_display_list ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| test_display_list ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| connect ($ConfigRow)
| get_connection ()
| validate_test_connection_without_errors ($MTime)
| test_connection_without_errors ()
| validate_test_connection_with_errors ()
| test_connection_with_errors ()
| test_no_connection ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| test_add ()
| test_delete ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| test_load_package ()
| test_simple_http ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| test_display_list ()
| set_up ()
| tear_down ()
| test_load_package ()
| test_display_list ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| test_gen_pages ()
| set_up ()
| tear_down ()
| test_load_package ()
| test_line_length_php ()
| test_line_count_php ()
| test_file_size_php ()
| test_file_html_code_php ()
| test_tpl_files ()
| test_function_lines_php ()
| test_function_size_php ()
| test_get_package_object_for_settings ()
| test_line_length_js ()
| test_line_count_js ()
| test_file_size_js ()
| test_function_lines_js ()
| test_function_size_js ()
| test_process ()
| test_todo_tag ()
| test_smth_view_js ()
| test_get_list_form_js ()
| test_delete_js ()
| test_get_custom_list_form_js ()
| test_record_view_form_js ()
| test_smth_display_list ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| test_display_list ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| test_display_list ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| test_display_list ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| test_display_list ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| test_display_list ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| test_no_macro ()
| test_simple ()
| test_simple_2 ()
| test_nested ()
| test_regexp_terminal ()
| test_regexp_terminal_not_found ()
| test_regexp_second_found ()
| test_recursive ()
| test_invalid_macro ()
| test_top_complexity ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| test_display_list ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| test_display_list ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| test_display_list ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()
| set_up ()
| tear_down ()
| test_load_package ()

## Data Fields
| $CacheSwitch
| $ContentMarkup = false
| $ErrorLogAccess = false
| $ErrorLogView = false
| $Options = false
| $Utilities = false

## Detailed Description

Class for unit testing.

Author
  Dodonov A.A.

Definition at line 26 of file unit_tests.php.

## Member Function Documentation

connect | ( |  | $ConfigRow | ) |

Function emulates adapter behaviour.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
if( $ConfigRow == '1' )
{
return( true );
}
else
{
throw( new Exception( 'Connection failed' ) );
}
}

get_connection | ( |  | ) |

Function emulates adapter behaviour.

Author
  Dodonov A.A.

Definition at line 60 of file unit_tests.php.

{
return( true );
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
$Settings = get_package_object( 'settings::package_settings' , 'last' , __FILE__ );
$this->CacheSwitch = $Settings->get_package_setting(
'cache' , 'last' , 'cf_cache' , 'cache_switch' , 'off'
);
$Settings->set_package_setting( 'cache' , 'last' , 'cf_cache' , 'cache_switch' , 'on' );
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
$Settings = get_package_object( 'settings::package_settings' , 'last' , __FILE__ );
$this->CacheSwitch = $Settings->get_package_setting(
'cache' , 'last' , 'cf_cache' , 'cache_switch' , 'off'
);
$Settings->set_package_setting( 'cache' , 'last' , 'cf_cache' , 'cache_switch' , 'on' );
$Cache = get_package( 'cache' , 'last' , __FILE__ );
$Cache->flush();
$Cache->reset();
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
$this->ContentMarkup = get_package( 'content::content_markup' , 'last' , __FILE__ );
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

{
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 50 of file unit_tests.php.

{
$this->ErrorLogAccess = get_package( 'error_log::error_log_access' , 'last' , __FILE__ );
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
$this->ErrorLogAccess = get_package( 'error_log::error_log_access' , 'last' , __FILE__ );
$this->ErrorLogView = get_package( 'error_log::error_log_view' , 'last' , __FILE__ );
$this->Options = get_package_object( 'settings::settings' , 'last' , __FILE__ );
}

set_up | ( |  | ) |

Setting up testing mashine.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
$this->Utilities = get_package( 'utilities' , 'last' , __FILE__ );
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 52 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 54 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 55 of file unit_tests.php.

{
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 59 of file unit_tests.php.

{
$Settings = get_package_object( 'settings::package_settings' , 'last' , __FILE__ );
$Settings->set_package_setting( 'cache' , 'last' , 'cf_cache' , 'cache_switch' , $this->CacheSwitch );
$Cache = get_package_object( 'cache' , 'last' , __FILE__ );
$Cache->drop_cache();
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 63 of file unit_tests.php.

{
$Settings = get_package_object( 'settings::package_settings' , 'last' , __FILE__ );
$Settings->set_package_setting( 'cache' , 'last' , 'cf_cache' , 'cache_switch' , $this->CacheSwitch );
$Cache = get_package_object( 'cache' , 'last' , __FILE__ );
$Cache->drop_cache();
}

tear_down | ( |  | ) |

Function restores default settings.

Author
  Dodonov A.A.

Definition at line 67 of file unit_tests.php.

{
}

test_add | ( |  | ) |

Testing add_message_to_log method.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 69 of file unit_tests.php.

{
try
{
$this->ErrorLogAccess->add_message_to_log( 1 , 'title' , 'description' );
$Messages = $this->ErrorLogAccess->unsafe_select_messages( '1 ORDER BY id DESC LIMIT 0 , 1' );
if( count( $Messages ) != 1 )
{
return( 'Illegal messages count' );
}
$Message = $Messages[ 0 ];
if( $Message->severity != 1 || $Message->title != 'title' || $Message->description != 'description' )
{
return( 'Illegal field value' );
}
$this->ErrorLogAccess->delete_error_log( $Message->id );
return( 'TEST PASSED' );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

test_connection_with_errors | ( |  | ) |

Connecting with some errors.

Author
  Dodonov A.A.

Definition at line 171 of file unit_tests.php.

{
try
{
$CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$CachedMultyFS->file_put_contents( dirname( __FILE__ ).'/cf_config' , "2\r\n1" );
$DBConfigSet = get_package( 'database::db_config_set' , 'last' , __FILE__ );
$DBConfigSet->load_config( dirname( __FILE__ ).'/cf_config' );
$Connection = $DBConfigSet->connect( $this );
return( $this->validate_test_connection_with_errors() );
}
catch( Exception $e )
{
unlink( dirname( __FILE__ ).'/cf_config' );
return( 'ERROR: exception was thrown' );
}
}

test_connection_without_errors | ( |  | ) |

Connecting without any errors.

Author
  Dodonov A.A.

Definition at line 103 of file unit_tests.php.

{
try
{
$CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$CachedMultyFS->file_put_contents( dirname( __FILE__ ).'/cf_config' , "1\r\n2" );
$MTime = filemtime( dirname( __FILE__ ).'/cf_config' );
$DBConfigSet = get_package( 'database::db_config_set' , 'last' , __FILE__ );
$DBConfigSet->load_config( dirname( __FILE__ ).'/cf_config' );
$Connection = $DBConfigSet->connect( $this );
return( $this->validate_test_connection_without_errors( $MTime ) );
}
catch( Exception $e )
{
unlink( dirname( __FILE__ ).'/cf_config' );
return( 'ERROR: exception was thrown' );
}
}

test_delete | ( |  | ) |

Testing delete_error_log method.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 111 of file unit_tests.php.

{
try
{
$this->ErrorLogAccess->add_message_to_log( 1 , 'title' , 'description' );
$Messages = $this->ErrorLogAccess->unsafe_select_messages( '1 ORDER BY id DESC LIMIT 0 , 1' );
if( count( $Messages ) != 1 )
{
return( 'Illegal messages count' );
}
$this->ErrorLogAccess->delete_error_log( $Messages[ 0 ]->id );
$id = $Messages[ 0 ]->id;
$Messages = $this->ErrorLogAccess->unsafe_select_messages( '1 ORDER BY id DESC LIMIT 0 , 1' );
if( isset( $Messages[ 0 ] ) !== false && $Messages[ 0 ]->id > $id )
{
return( 'Message was not deleted' );
}
return( 'TEST PASSED' );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

test_delete_js | ( |  | ) |

Testing searches for function.

Author
  Dodonov A.A.

Definition at line 629 of file unit_tests.php.

{
$Files = $this->Utilities->get_files_from_directory( '.' , '/.+\.php/' , true );
for( $i = 0 , $Errors = 0 ; $i < count( $Files ) ; $i++ )
{
if( strpos( $Files[ $i ] , '_view.php' ) !== false )
{
$Path = dirname( $Files[ $i ] ).'/include/js/'.basename( $Files[ $i ] , '.php' ).'.js';
if( file_exists( $Path ) )
{
$Content = file_get_contents( $Path );
if( strpos( $Content , '.delete = function(' ) === false )
{
$Errors++;
print( "<nobr>".$Path." : no delete found</nobr><br>" );
}
}
}
}
return( $Errors == 0 ? 'TEST PASSED' : "ERROR( $Errors )" );
}

test_deleting_data | ( |  | ) |

Deleting data.

Author
  Dodonov A.A.

Definition at line 156 of file unit_tests.php.

{
try
{
$Cache = get_package_object( 'cache' , 'last' , __FILE__ );
if( $Cache->data_exists( 'existing_data' ) )
{
return( 'ERROR (1)' );
}
$Data = $Cache->add_data( 'existing_data' , '1234' );
if( $Cache->data_exists( 'existing_data' ) === false )
{
return( 'ERROR (2)' );
}
$Cache->delete_data( 'existing_data' );
if( $Cache->data_exists( 'existing_data' ) === false )
{
return( 'TEST PASSED' );
}
else
{
return( 'ERROR (3)' );
}
}
catch( Exception $e )
{
return( 'TEST PASSED' );
}
}

test_deleting_data_by_tag | ( |  | ) |

Deleting data by tag.

Author
  Dodonov A.A.

Definition at line 198 of file unit_tests.php.

{
try
{
$Cache = get_package_object( 'cache' , 'last' , __FILE__ );
$Cache->delete_data( 'existing_data' );
if( $Cache->data_exists( 'existing_data' ) )
{
return( 'ERROR (1)' );
}
$Data = $Cache->add_data( 'existing_data' , '1234' , array( 'one' , 'two' , 'three' ) );
if( $Cache->data_exists( 'existing_data' ) === false )
{
return( 'ERROR (2)' );
}
$Cache->delete_data_by_tag( 'two' );
if( $Cache->data_exists( 'existing_data' ) === false )
{
return( 'TEST PASSED' );
}
else
{
return( 'ERROR (3)' );
}
}
catch( Exception $e )
{
return( 'TEST PASSED' );
}
}

test_display_list | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 83 of file unit_tests.php.

{
$PageComposer = get_package_object( 'page::page_composer' );
$PageContent = $PageComposer->get_page( 'comment_manager' );
if( stripos( $PageContent , 'comment' ) === false )
{
print( 'ERROR: comment list was not displayed' );
return;
}
return( 'TEST PASSED' );
}

test_display_list | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 85 of file unit_tests.php.

{
$PageComposer = get_package_object( 'page::page_composer' );
$PageContent = $PageComposer->get_page( 'page_manager' );
if( stripos( $PageContent , 'ad_banner_manager' ) === false )
{
print( 'ERROR: page list was not displayed' );
return;
}
return( 'TEST PASSED' );
}

test_display_list | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 85 of file unit_tests.php.

{
$PageComposer = get_package_object( 'page::page_composer' );
$PageContent = $PageComposer->get_page( 'package_manager' );
if( stripos( $PageContent , 'ad_banner_manager' ) === false )
{
print( 'ERROR: package list was not displayed' );
return;
}
return( 'TEST PASSED' );
}

test_display_list | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 85 of file unit_tests.php.

{
$PageComposer = get_package_object( 'page::page_composer' );
$PageContent = $PageComposer->get_page( 'group_manager' );
if( stripos( $PageContent , 'admin' ) === false )
{
print( 'ERROR: group list was not displayed' );
return;
}
return( 'TEST PASSED' );
}

test_display_list | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 85 of file unit_tests.php.

{
$PageComposer = get_package_object( 'page::page_composer' );
$PageContent = $PageComposer->get_page( 'template_manager' );
if( stripos( $PageContent , 'admin' ) === false )
{
print( 'ERROR: template list was not displayed' );
return;
}
return( 'TEST PASSED' );
}

test_display_list | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 85 of file unit_tests.php.

{
$PageComposer = get_package_object( 'page::page_composer' );
$PageContent = $PageComposer->get_page( 'subscription_manager' );
if( stripos( $PageContent , 'Project news' ) === false )
{
print( 'ERROR: subscription list was not displayed' );
return;
}
return( 'TEST PASSED' );
}

test_display_list | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 85 of file unit_tests.php.

{
$PageComposer = get_package_object( 'page::page_composer' );
$PageContent = $PageComposer->get_page( 'ad_campaign_manager' );
if( stripos( $PageContent , 'Ultimix Project AD campaign' ) === false )
{
print( 'ERROR: ad list was not displayed' );
return;
}
return( 'TEST PASSED' );
}

test_display_list | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 85 of file unit_tests.php.

{
$PageComposer = get_package_object( 'page::page_composer' );
$PageContent = $PageComposer->get_page( 'content_manager' );
if( stripos( $PageContent , 'content' ) === false )
{
print( 'ERROR: content list was not displayed' );
return;
}
return( 'TEST PASSED' );
}

test_display_list | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 85 of file unit_tests.php.

{
$PageComposer = get_package_object( 'page::page_composer' );
$PageContent = $PageComposer->get_page( 'ad_banner_manager' );
if( stripos( $PageContent , 'Ultimix Project' ) === false )
{
print( 'ERROR: ad banners list was not displayed' );
return;
}
return( 'TEST PASSED' );
}

test_display_list | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 85 of file unit_tests.php.

{
$PageComposer = get_package_object( 'page::page_composer' );
$PageContent = $PageComposer->get_page( 'user_permit_manager' );
if( stripos( $PageContent , 'admin' ) === false )
{
print( 'ERROR: user list with permits and group was not displayed' );
return;
}
return( 'TEST PASSED' );
}

test_display_list | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 85 of file unit_tests.php.

{
$PageComposer = get_package_object( 'page::page_composer' );
$PageContent = $PageComposer->get_page( 'review_manager' );
if( stripos( $PageContent , 'review' ) === false )
{
print( 'ERROR: review list was not displayed' );
return;
}
return( 'TEST PASSED' );
}

test_display_list | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 85 of file unit_tests.php.

{
$PageComposer = get_package_object( 'page::page_composer' );
$PageContent = $PageComposer->get_page( 'permit_manager' );
if( stripos( $PageContent , 'admin' ) === false )
{
print( 'ERROR: permit list was not displayed' );
return;
}
return( 'TEST PASSED' );
}

test_display_list | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 85 of file unit_tests.php.

{
$PageComposer = get_package_object( 'page::page_composer' );
$PageContent = $PageComposer->get_page( 'user_manager' );
if( stripos( $PageContent , 'admin' ) === false )
{
print( 'ERROR: user list was not displayed' );
return;
}
return( 'TEST PASSED' );
}

test_display_list | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 85 of file unit_tests.php.

{
$PageComposer = get_package_object( 'page::page_composer' );
$PageContent = $PageComposer->get_page( 'menu_item_manager' );
if( stripos( $PageContent , '>main<' ) === false )
{
print( 'ERROR: menu item list was not displayed' );
return;
}
return( 'TEST PASSED' );
}

test_display_list | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 85 of file unit_tests.php.

{
$PageComposer = get_package_object( 'page::page_composer' );
$PageContent = $PageComposer->get_page( 'menu_manager' );
if( stripos( $PageContent , 'main' ) === false )
{
print( 'ERROR: menu list was not displayed' );
return;
}
return( 'TEST PASSED' );
}

test_file_exists_data_not_in_cache | ( |  | ) |

File does exist and this information is in the cache.

Author
  Dodonov A.A.

Definition at line 134 of file unit_tests.php.

{
$CachedFS = get_package_object( 'cached_fs' , 'last' , __FILE__ );
$CachedFS->file_exists( './packages/index.html' );
$DataExists = $CachedFS->Cache->data_exists( './packages/index.html' );
$Data = $CachedFS->Cache->get_data( './packages/index.html' );
if( $DataExists === false && $Data === false )
{
return( 'TEST PASSED' );
}
else
{
return( 'ERROR : Data exists : '.( $DataExists ? 1 : 0 ).' Data : '.htmlspecialchars( $Data ) );
}
}

test_file_exists_put_in_cache | ( |  | ) |

File exists but it is not in the cache.

Author
  Dodonov A.A.

Definition at line 82 of file unit_tests.php.

{
$CachedFS = get_package_object( 'cached_fs' , 'last' , __FILE__ );
$CachedFS->Cache->delete_data( './packages/index.html' );
if( $CachedFS->file_exists( './packages/index.html' ) === true &&
$CachedFS->Cache->data_exists( './packages/index.html' ) === false )
{
return( 'TEST PASSED' );
}
else
{
return( 'ERROR' );
}
}

test_file_get_contents_from_cache | ( |  | ) |

Getting file from cache.

Author
  Dodonov A.A.

Definition at line 188 of file unit_tests.php.

{
$CachedFS = get_package_object( 'cached_fs' , 'last' , __FILE__ );
$CachedFS->file_get_contents( './packages/index.html' );
file_put_contents( './packages/index.html' , '' );
$Result = $CachedFS->file_get_contents( './packages/index.html' );
file_put_contents( './packages/index.html' , '<html><head></head><body></body></html>' );
if( $Result == '<html><head></head><body></body></html>' )
{
return( 'TEST PASSED' );
}
else
{
return( 'ERROR : Content : '.htmlspecialchars( $Result ) );
}
}

test_file_get_contents_from_disk | ( |  | ) |

Getting file from disk.

Author
  Dodonov A.A.

Definition at line 162 of file unit_tests.php.

{
$CachedFS = get_package_object( 'cached_fs' , 'last' , __FILE__ );
$CachedFS->Cache->delete_data( './packages/index.html' );
$Result = $CachedFS->file_get_contents( './packages/index.html' );
if( $Result == '<html><head></head><body></body></html>' )
{
return( 'TEST PASSED' );
}
else
{
return( 'ERROR' );
}
}

test_file_html_code_php | ( |  | ) |

Testing html code presense in php files.

Author
  Dodonov A.A.

Definition at line 190 of file unit_tests.php.

{
$Files = $this->Utilities->get_files_from_directory( '.' , '/.+\.php/' , true );
for( $i = 0 , $Errors = 0 ; $i < count( $Files ) && $Errors < 1000 ; $i++ )
{
if( skip_file( $Files[ $i ] ) === false && strpos( $Files[ $i ] , 'tags.php' ) === false &&
strpos( $Files[ $i ] , 'page_composer/include/php/unit_tests_utilities.php' ) === false &&
strpos( $Files[ $i ] , 'page_composer/include/php/unit_tests.php' ) === false )
{
$Errors += find_html_content_in_file( $Files[ $i ] );
}
}
return( $Errors == 0 ? 'TEST PASSED' : "ERROR( $Errors )" );
}

test_file_not_exists_data_in_cache | ( |  | ) |

File does not exist and this information is in the cache.

Author
  Dodonov A.A.

Definition at line 108 of file unit_tests.php.

{
$CachedFS = get_package_object( 'cached_fs' , 'last' , __FILE__ );
$CachedFS->file_exists( './unexisting' );
if( $CachedFS->Cache->data_exists( './unexisting' ) === true &&
$CachedFS->Cache->get_data( './unexisting' ) == '_file_was_not_found' )
{
return( 'TEST PASSED' );
}
else
{
return( 'ERROR' );
}
}

test_file_put_contents | ( |  | ) |

Writing in file.

Author
  Dodonov A.A.

Definition at line 246 of file unit_tests.php.

{
$CachedFS = get_package_object( 'cached_fs' , 'last' , __FILE__ );
$CachedFS->file_put_contents( './exception.log' , '' );
// ïðîâåðèì ÷òî èíôîðìàöèÿ ñîõðàíèëàñü â êýøå
if( $CachedFS->file_exists( './exception.log' ) === false )
{
return( 'ERROR' );
}
// ïðîâåðèì ÷òî èíôîðìàöèÿ ñîõðàíèëàñü íà äèñêå
$CachedFS->Cache->delete_data( './packages/index.html' );
if( $CachedFS->file_exists( './exception.log' ) === false )
{
return( 'ERROR' );
}
return( 'TEST PASSED' );
}

test_file_size_js | ( |  | ) |

Testing size of all js files.

Author
  Dodonov A.A.

Definition at line 408 of file unit_tests.php.

{
$Files = $this->Utilities->get_files_from_directory( '.' , '/.+\.js/' , true );
for( $i = 0 , $Errors = 0 ; $i < count( $Files ) && $Errors < 100 ; $i++ )
{
$Content = file_get_contents( $Files[ $i ] );
if( strlen( $Content ) > 24 * 1024 && skip_file( $Files[ $i ] ) === false )
{
$Errors++;
print( "<nobr>{$Files[ $i ]}</nobr><br>" );
}
}
return( $Errors == 0 ? 'TEST PASSED' : "ERROR( $Errors )" );
}

test_file_size_php | ( |  | ) |

Testing size of all php files.

Author
  Dodonov A.A.

Definition at line 162 of file unit_tests.php.

{
$Files = $this->Utilities->get_files_from_directory( '.' , '/.+\.php/' , true );
for( $i = 0 , $Errors = 0 ; $i < count( $Files ) && $Errors < 100 ; $i++ )
{
$Content = file_get_contents( $Files[ $i ] );
if( strlen( $Content ) > 24 * 1024 && skip_file( $Files[ $i ] ) === false )
{
$Errors++;
print( "<nobr>{$Files[ $i ]}</nobr><br>" );
}
}
return( $Errors == 0 ? 'TEST PASSED' : "ERROR( $Errors )" );
}

test_function_lines_js | ( |  | ) |

Testing functions sizes (lines of code).

Author
  Dodonov A.A.

Definition at line 436 of file unit_tests.php.

{
$Files = $this->Utilities->get_files_from_directory( '.' , '/.+\.js/' , true );
for( $i = 0 , $Errors = 0 ; $i < count( $Files ) && $Errors < 1000 ; $i++ )
{
if( skip_file( $Files[ $i ] ) )
{
continue;
}
$Content = file_get_contents( $Files[ $i ] );
$Bodies = get_function_bodies( $Content );
foreach( $Bodies as $FunctionName => $Body )
{
if( ( $LinesCount = count_lines( $Body ) ) > 20 )
{
$Errors++;
print( "<nobr>{$Files[ $i ]} $Body : Lines count: $LinesCount</nobr><br>" );
}
}
}
return( $Errors == 0 ? 'TEST PASSED' : "ERROR( $Errors )" );
}

test_function_lines_php | ( |  | ) |

Testing functions sizes (lines of code).

Author
  Dodonov A.A.

Definition at line 245 of file unit_tests.php.

{
$Files = $this->Utilities->get_files_from_directory( '.' , '/.+\.php/' , true );
for( $i = 0 , $Errors = 0 ; $i < count( $Files ) && $Errors < 1000 ; $i++ )
{
if( skip_file( $Files[ $i ] ) )
{
continue;
}
$Content = file_get_contents( $Files[ $i ] );
$Bodies = get_function_bodies( $Content );
foreach( $Bodies as $FunctionName => $Body )
{
if( ( $LinesCount = count_lines( $Body ) ) > 30 )
{
$Errors++;
print( "<nobr>{$Files[ $i ]}($FunctionName:$LinesCount)</nobr><br>" );
}
}
}
return( $Errors == 0 ? 'TEST PASSED' : "ERROR( $Errors )" );
}

test_function_size | ( |  | ) |

Testing 'content_links' macro.

Author
  Dodonov A.A.

Definition at line 86 of file unit_tests.php.

{
try
{
$Changed = false;
$Str = '{content_links:category=news}';
list( $Str , $Changed ) = this->ContentMarkup->process_content_links( $Str , $Changed );
if( strpos( $Str , 'Welcome' ) === false )
{
print( 'ERROR' );
}
else
{
print( 'TEST PASSED' );
}
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

test_function_size_js | ( |  | ) |

Testing functions sizes (count of bytes).

Author
  Dodonov A.A.

Definition at line 469 of file unit_tests.php.

{
$Files = $this->Utilities->get_files_from_directory( '.' , '/.+\.js/' , true );
for( $i = 0 , $Errors = 0 ; $i < count( $Files ) && $Errors < 1000 ; $i++ )
{
if( skip_file( $Files[ $i ] ) )
{
continue;
}
$Content = file_get_contents( $Files[ $i ] );
$Bodies = get_function_bodies( $Content );
foreach( $Bodies as $FunctionName => $Body )
{
/* 800 bytes max */
if( ( $BytesCount = strlen( $Body ) ) > 680 )
{
$Errors++;
print( "<nobr>{$Files[ $i ]}($FunctionName:$BytesCount)</nobr><br>" );
}
}
}
return( $Errors == 0 ? 'TEST PASSED' : "ERROR( $Errors )" );
}

test_function_size_php | ( |  | ) |

Testing functions sizes (count of bytes).

Author
  Dodonov A.A.

Definition at line 278 of file unit_tests.php.

{
$Files = $this->Utilities->get_files_from_directory( '.' , '/.+\.php/' , true );
for( $i = 0 , $Errors = 0 ; $i < count( $Files ) && $Errors < 1000 ; $i++ )
{
if( skip_file( $Files[ $i ] ) )
{
continue;
}
$Content = file_get_contents( $Files[ $i ] );
$Bodies = get_function_bodies( $Content );
foreach( $Bodies as $FunctionName => $Body )
{
/* 800 bytes max */
if( ( $BytesCount = strlen( $Body ) ) > 800 )
{
$Errors++;
print( "<nobr>{$Files[ $i ]}($FunctionName:$BytesCount)</nobr><br>" );
}
}
}
return( $Errors == 0 ? 'TEST PASSED' : "ERROR( $Errors )" );
}

test_gen_pages | ( |  | ) |

Function tests admin.html page.

Author
  Dodonov A.A.

Definition at line 83 of file unit_tests.php.

{
$PageAccess = get_package( 'page::page_access' , 'last' , __FILE__ );
$Pages = $PageAccess->get_list_of_pages();
foreach( $Pages as $i => $Page )
{
$PageContent = file_get_contents( HTTP_HOST.'/'.get_field( $Page , 'alias' ).'.html' );
if( stripos( $PageContent , ' error:' ) !== false || stripos( $PageContent , 'Notice:' ) !== false ||
stripos( $PageContent , 'Warning:' ) !== false || stripos( $PageContent , 'exception' ) !== false )
{
return( 'ERROR: Error page is '.get_field( $Page , 'alias' ) );
}
}
return( 'TEST PASSED' );
}

test_get_custom_list_form_js | ( |  | ) |

Testing searches for function.

Author
  Dodonov A.A.

Definition at line 661 of file unit_tests.php.

{
$Files = $this->Utilities->get_files_from_directory( '.' , '/.+\.php/' , true );
for( $i = 0 , $Errors = 0 ; $i < count( $Files ) ; $i++ )
{
if( strpos( $Files[ $i ] , '_view.php' ) !== false )
{
$Path = dirname( $Files[ $i ] ).'/include/js/'.basename( $Files[ $i ] , '.php' ).'.js';
if( file_exists( $Path ) )
{
$Content = file_get_contents( $Path );
if( strpos( $Content , '.get_custom_list_form = function(' ) === false )
{
$Errors++;
print( "<nobr>".$Path." : no get_custom_list_form found</nobr><br>" );
}
}
}
}
return( $Errors == 0 ? 'TEST PASSED' : "ERROR( $Errors )" );
}

test_get_list_form_js | ( |  | ) |

Testing searches for function.

Author
  Dodonov A.A.

Definition at line 597 of file unit_tests.php.

{
$Files = $this->Utilities->get_files_from_directory( '.' , '/.+\.php/' , true );
for( $i = 0 , $Errors = 0 ; $i < count( $Files ) ; $i++ )
{
if( strpos( $Files[ $i ] , '_view.php' ) !== false )
{
$Path = dirname( $Files[ $i ] ).'/include/js/'.basename( $Files[ $i ] , '.php' ).'.js';
if( file_exists( $Path ) )
{
$Content = file_get_contents( $Path );
if( strpos( $Content , '.get_list_form = function(' ) === false )
{
$Errors++;
print( "<nobr>".$Path." : no get_list_form found</nobr><br>" );
}
}
}
}
return( $Errors == 0 ? 'TEST PASSED' : "ERROR( $Errors )" );
}

test_get_package_object_for_settings | ( |  | ) |

Testing for calls get_package for the 'settings' package .

Author
  Dodonov A.A.

Definition at line 312 of file unit_tests.php.

{
$Files = $this->Utilities->get_files_from_directory( '.' , '/.+\.php/' , true );
for( $i = 0 , $Errors = 0 ; $i < count( $Files ) && $Errors < 1000 ; $i++ )
{
if( skip_file( $Files[ $i ] ) ||
strpos( $Files[ $i ] , '/page_composer/include/php/unit_tests.php' ) !== false )
{
continue;
}
$Content = file_get_contents( $Files[ $i ] );
if( strpos( $Content , "get_package( 'settings::settings'" ) !== false )
{
$Errors++;
print( "<nobr>{$Files[ $i ]}</nobr><br>" );
}
}
return( $Errors == 0 ? 'TEST PASSED' : "ERROR( $Errors )" );
}

test_get_unexisting_data | ( |  | ) |

Selecting unexisting data.

Author
  Dodonov A.A.

Definition at line 78 of file unit_tests.php.

{
$Cache = get_package_object( 'cache' , 'last' , __FILE__ );
$Data = $Cache->get_data( 'unexisting_data' );
if( $Data === false )
{
return( 'TEST PASSED' );
}
else
{
return( 'ERROR' );
}
}

test_invalid_macro | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 256 of file unit_tests.php.

{
$String = get_package_object( 'string' , 'last' , __FILE__ );
$Script = 'some prefix '.chr( 123 ).'macro:a='.chr( 123 ).'lang:space'.
chr( 125 ).';b=2 middle '.chr( 123 ).'macro:a=3;b=4'.chr( 125 ).' some postfix';
$Result = $String->get_macro_parameters(
$Script , 'macro' , array( 'a' => TERMINAL_VALUE , 'b' => TERMINAL_VALUE )
);
if( $Result == 'a=3;b=4' )
{
return( 'TEST PASSED' );
}
else
{
return( 'ERROR' );
}
}

test_line_count_js | ( |  | ) |

Testing count of lines in all js files.

Author
  Dodonov A.A.

Definition at line 380 of file unit_tests.php.

{
$Files = $this->Utilities->get_files_from_directory( '.' , '/.+\.js/' , true );
for( $i = 0 , $Errors = 0 ; $i < count( $Files ) && $Errors < 100 ; $i++ )
{
$Content = file( $Files[ $i ] );
if( count( $Content ) > 1000 && skip_file( $Files[ $i ] ) === false )
{
$Errors++;
print( "<nobr>{$Files[ $i ]}</nobr><br>" );
}
}
return( $Errors == 0 ? 'TEST PASSED' : "ERROR( $Errors )" );
}

test_line_count_php | ( |  | ) |

Testing count of lines in all php files.

Author
  Dodonov A.A.

Definition at line 133 of file unit_tests.php.

{
$Files = $this->Utilities->get_files_from_directory( '.' , '/.+\.php/' , true );
for( $i = 0 , $Errors = 0 ; $i < count( $Files ) && $Errors < 100 ; $i++ )
{
$Content = file( $Files[ $i ] );
if( count( $Content ) > 1000 && strpos( $Files[ $i ] , 'excel' ) === false &&
strpos( $Files[ $i ] , 'nusoap' ) === false )
{
$Errors++;
print( "<nobr>{$Files[ $i ]}</nobr><br>" );
}
}
return( $Errors == 0 ? 'TEST PASSED' : "ERROR( $Errors )" );
}

test_line_length_js | ( |  | ) |

Testing line length for js files.

Author
  Dodonov A.A.

Definition at line 345 of file unit_tests.php.

{
$Files = $this->Utilities->get_files_from_directory( '.' , '/.+\.js/' , true );
for( $i = 0 , $Errors = 0 ; $i < count( $Files ) ; $i++ )
{
$Content = file( $Files[ $i ] );
if( skip_file( $Files[ $i ] ) === false )
{
for( $j = 0 ; $j < count( $Content ) ; $j++ )
{
$Line = str_replace(
array( "\t" , "\r" , "\n" ) , array( ' ' , '' , '' ) , $Content[ $j ]
);
if( mb_strlen( $Line , 'UTF-8' ) > 120 )
{
$Errors++;
$Line = htmlspecialchars( $Line , ENT_QUOTES );
print( "<nobr>".$Files[ $i ]."(".( $j + 1 ).")</nobr><br>" );
}
}
}
}
return( $Errors == 0 ? 'TEST PASSED' : "ERROR( $Errors )" );
}

test_line_length_php | ( |  | ) |

Testing line length for php files.

Author
  Dodonov A.A.

Definition at line 98 of file unit_tests.php.

{
$Files = $this->Utilities->get_files_from_directory( '.' , '/.+\.php/' , true );
for( $i = 0 , $Errors = 0 ; $i < count( $Files ) ; $i++ )
{
$Content = file( $Files[ $i ] );
if( skip_file( $Files[ $i ] ) === false )
{
for( $j = 0 ; $j < count( $Content ) ; $j++ )
{
$Line = str_replace(
array( "\t" , "\r" , "\n" ) , array( ' ' , '' , '' ) , $Content[ $j ]
);
if( mb_strlen( $Line , 'UTF-8' ) > 120 )
{
$Errors++;
$Line = htmlspecialchars( $Line , ENT_QUOTES );
print( "<nobr>".$Files[ $i ]."(".( $j + 1 ).")</nobr><br>" );
}
}
}
}
return( $Errors == 0 ? 'TEST PASSED' : "ERROR( $Errors )" );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
get_package( 'content::content_controller' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'graph::graph_data::graph_data_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'graph::graph_data::graph_data_algorithms' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'page::page_composer_utilities' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'graph::graph_map' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'file_input::file_input_algorithms' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'graph::graph_utilities' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'graph::graph_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'file_input::file_input_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'data_form' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'comment::comment_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'comment::comment_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'jquery' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'graph::graph_core' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'graph' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'file_input::file_input_controller' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'gallery::gallery_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'file_input::file_input_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'gui::jstree' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'file_input::file_input_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'gallery::gallery_algorithms' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'gallery::gallery_controller' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'gallery::gallery_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'gallery::gallery_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 66 of file unit_tests.php.

{
get_package( 'page::page_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'user' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'permit::group_controller' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::context::context_utilities' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'lang' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'permit::group_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'content' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'permit::group_buttons' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'trace' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'ad::ad_campaign::ad_campaign_manager' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'event_manager' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::context_set' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'lang::lang_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::context_set::common_buttons' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'page::template_content::template_content_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'permit::group_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'permit::user_permit_manager' , 'last' , __FILE__ );
print( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'database::change_history::change_history_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'utilities' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'xml::yandex_xml' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'permit::ownership::ownership_controller' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'xml' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'page::page_parts' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'category::category_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'page::page_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'menu::menu_item_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'error_log::error_log_algorithms' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'content::content_controller' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'permit::permit_controller' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'database::chronological' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'subscription::subscription_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gallery' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::context::custom_validations' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'maps' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'content::content_algorithms' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'core::package_algorithms' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'graph::graph_data' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'jquery::jquery_media' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'user::user_controller::user_controller_utilities' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'settings::settings_controller' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'string::text' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'pmsg::pmsg_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'report::report_utilities' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'xml::yandex_xml::yandex_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'subscription' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'permit::permit_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'rating' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'template_manager::main_template' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'security::security_utilities' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'subscription::subscription_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::paginator3000' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'system_structure::system_structure_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'rating::rating_algorithms' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'permit::ownership::ownership_access' , 'last' , __FILE__ );
//TODO: rename ownership into 'permittion_domain' ad entity in the database
//TODO: create permittion_domain_access package
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'rating::rating_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'database::change_history::change_history_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'permit::permit_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'template_manager::business_template' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'review::review_algorithms' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::context_set::context_set_configs' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'comment::comment_controller' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'error_log' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'review::review_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'category::category_widgets' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::jqgrid' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'link::link_dictionary' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::dialogs' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'site' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'sape::pr_sape_common_api' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'site::site_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'ad' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'site::site_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::fs_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'user::user_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::paginator' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'database::mssql_database' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::forms' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'site::site_controller' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'sape::sape_utilities' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'jquery::jquery_corner' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'sape::pr_sape_project_api' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'search::search_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'sape' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'settings::settings_utilities' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'security::security_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'security::security_parser' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'system_structure::system_structure_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::context_set::custom_state_startup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'security::security_validator::predicates' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::multiple_line' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'database::ordering' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'comment::comment_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'ad::ad_banner::ad_banner_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'jquery::jquery_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'report' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'settings::package_settings' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'subscription::subscription_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'maps::google_maps' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'menu' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'ad::ad_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'menu::menu_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::context_set::default_views' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'database::database_algorithms' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::mouse_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'permit::permit_buttons' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'page' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'cached_multy_fs' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'page::auto_controller' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'pmsg::pmsg_controller' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'page::auto_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::context_set::common_state_startup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::context_set::form_buttons' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'pmsg::pmsg_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'jquery::dialog_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'content::content_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'ad::ad_banner' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'database::change_history::change_history_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'file_formats' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'category::category_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::video_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::calendar' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'ad::ad_campaign' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'jquery::jquery_dropdown' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'system_structure' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'category::category_controller' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'mail' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'page::page_db_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'subscription::subscription_controller' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'page::page_manager' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'jsdialogs' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'database::change_history' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'user::user_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'core::package_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::button_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'permit::group_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'page::template_content::template_content_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'page::template_content::template_content_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'page::template_content::template_content_controller' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'permit' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::context' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'permit::group_manager' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'ad::ad_banner::ad_banner_controller' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'page::page_markup::page_markup_utilities' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::date_picker' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'json' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'template_manager::base_template' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'jquery::jquery_simplemodal' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'review::review_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'page::page_js' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'page::template_content' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'page::page_meta' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'permit::permit_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::paging' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'permit::permit_algorithms' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'settings::settings_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'user::user_manager' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'core_data' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::context_set::context_set_utilities' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'pmsg::pmsg_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'menu::menu_item_manager' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'string::tags' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'category::category_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package_object( 'settings::settings' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'user::user_algorithms' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'lang::lang_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'database::database_logger' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'database::oracle_database' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'permit::permit_access::permit_access_utilities' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'security::data_filtration' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::keyboard_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::timer_widget' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'comment' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'sape::sape_site_api' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'search' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'schedule::schedule_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'pmsg' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::paging::paging_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'link::link_utilities' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'rss' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'schedule' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'database::table' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::string_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'content::content_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'database::mysql_database' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::controls_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'security::supported_data_types' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'review::review_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package_object( 'settings::settings' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::context_set::default_views::default_views_utilities' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package(
'gui::context_set::common_state_startup::common_state_startup_utilities' , 'last' , __FILE__
);
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'rating::rating_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::context_set::default_controllers' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'link' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'pmsg::pmsg_algorithms' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'page::auto_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'review' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'core::package_manager' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'error_log::error_log_controller' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'subscription::subscription_algorithms' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'database::set_field' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'ad::ad_banner::ad_banner_manager' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'ad::ad_campaign::ad_campaign_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'ad::ad_campaign::ad_campaign_algorithms' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'captcha' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::radiobutton_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'category' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'user::user_controller' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'page::browser_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'jslib' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'template_manager::globe_template' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'json::json_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'user::user_access::user_access_utilities' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'template_manager::data_template' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'template_manager::default_template_script' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::db_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'menu::menu_manager' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'template_manager::mono_template' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'database::postgre_database' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::checkbox_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'core' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'settings::db_settings' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'user::user_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'string::macro_parser' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'security::security_validator' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'comment::comment_algorithms' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'ad::ad_banner::ad_banner_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'search::search_engines' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'sape::sape_project_api' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::href_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'menu::menu_view' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'sape::sape_common_api' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'stat::stat_access' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'review::review_controller' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::object_list' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'template_manager' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'database' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'ad::ad_banner::ad_banner_algorithms' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'category::category_view::category_view_templates' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::context_set::exact_config' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::context_set::context_set_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'system_structure::system_structure_controller' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::math_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'database::dump' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'page::messages' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'schedule::schedule_algorithms' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'permit::permit_manager' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'stat' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'category::category_algorithms' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'gui::colorbox' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'testing' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'permit::ownership' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'page::page_css' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'site::site_algorithms' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 68 of file unit_tests.php.

{
get_package( 'top' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 69 of file unit_tests.php.

{
get_package( 'content::content_markup' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_load_package | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 81 of file unit_tests.php.

{
get_package( 'page::page_composer' , 'last' , __FILE__ );
return( 'TEST PASSED' );
}

test_nested | ( |  | ) |

Processing with nested macro.

Author
  Dodonov A.A.

Definition at line 116 of file unit_tests.php.

{
$String = get_package_object( 'string' , 'last' , __FILE__ );
$Script = 'some prefix {macro:a={lang:space};b=2} some postfix';
$Result = $String->get_macro_parameters( $Script , 'macro' );
if( $Result == "a={lang:space};b=2" )
{
return( 'TEST PASSED' );
}
else
{
return( 'ERROR' );
}
}

test_no_connection | ( |  | ) |

Connection failed.

Author
  Dodonov A.A.

Definition at line 203 of file unit_tests.php.

{
$Path = dirname( __FILE__ );
try
{
$CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$CachedMultyFS->file_put_contents( $Path.'/cf_config' , "2\r\n3" );
$DBConfigSet = get_package( 'database::db_config_set' , 'last' , __FILE__ );
$DBConfigSet->load_config( $Path.'/cf_config' );
$Connection = $DBConfigSet->connect( $this );
unlink( $Path.'/cf_config' );
return( 'ERROR: exception must be thrown' );
}
catch( Exception $e )
{
if( $CachedMultyFS->file_get_contents( $Path.'/cf_config' ) != "2\r\n3" )
{
unlink( $Path.'/cf_config' );
return( 'ERROR: illegal config content' );
}
unlink( $Path.'/cf_config' );
return( 'TEST PASSED' );
}
}

test_no_macro | ( |  | ) |

No macro at all.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

{
$String = get_package_object( 'string' , 'last' , __FILE__ );
$Script = 'some prefix some postfix';
$Result = $String->get_macro_parameters( $Script , 'macro' );
if( $Result == false )
{
return( 'TEST PASSED' );
}
else
{
return( 'ERROR' );
}
}

test_process | ( |  | ) |

Searching for process_*.

Author
  Dodonov A.A.

Definition at line 503 of file unit_tests.php.

{
$Files = $this->Utilities->get_files_from_directory( '.' , '/.+\.php/' , true );
/* all process_* functions of the template engine must be moved to the auto_markup */
for( $i = 0 , $Errors = 0 ; $i < count( $Files ) ; $i++ )
{
$Bodies = get_function_bodies( file_get_contents( $Files[ $i ] ) );
foreach( $Bodies as $FunctionName => $Body )
{
if( strpos( $FunctionName , 'process_' ) !== false &&
strpos( $FunctionName , 'process_string' ) === false )
{
$Errors++;
print( "<nobr>".$Files[ $i ]."</nobr><br>" );
}
}
}
return( $Errors == 0 ? 'TEST PASSED' : "ERROR( $Errors )" );
}

test_record_view_form_js | ( |  | ) |

Testing searches for function.

Author
  Dodonov A.A.

Definition at line 693 of file unit_tests.php.

{
$Errors = 0;
$Packages = _get_packages_list();
for( $i = 0 ; $i < count( $Packages ) ; $i++ )
{
$Path = _get_package_relative_path_ex(
$Packages[ $i ][ 'package_name' ] , $Packages[ $i ][ 'package_version' ]
);
if( file_exists( $Path.'/include/php/unit_tests.php' ) === false )
{
$Errors++;
print( "<nobr>".$Path." : no unit tests were found</nobr><br>" );
}
}
return( $Errors == 0 ? 'TEST PASSED' : "ERROR( $Errors )" );
}

test_recursive | ( |  | ) |

Processing recursive macro.

Author
  Dodonov A.A.

Definition at line 228 of file unit_tests.php.

{
$String = get_package_object( 'string' , 'last' , __FILE__ );
$Script = 'some prefix {macro:a={macro:a=3;b=4};b=2} some postfix';
$Result = $String->get_macro_parameters(
$Script , 'macro' , array( 'a' => TERMINAL_VALUE , 'b' => TERMINAL_VALUE )
);
if( $Result == 'a=3;b=4' )
{
return( 'TEST PASSED' );
}
else
{
return( 'ERROR' );
}
}

test_regexp_second_found | ( |  | ) |

Processing with terminal values (case when the first macro was not found, but the second one was).

Author
  Dodonov A.A.

Definition at line 200 of file unit_tests.php.

{
$String = get_package_object( 'string' , 'last' , __FILE__ );
$Script = 'some prefix {macro:a={lang:space};b=2} middle {macro:a=3;b=4} some postfix';
$Result = $String->get_macro_parameters(
$Script , 'macro' , array( 'a' => TERMINAL_VALUE , 'b' => TERMINAL_VALUE )
);
if( $Result == 'a=3;b=4' )
{
return( 'TEST PASSED' );
}
else
{
return( 'ERROR' );
}
}

test_regexp_terminal | ( |  | ) |

Processing with terminal values.

Author
  Dodonov A.A.

Definition at line 142 of file unit_tests.php.

{
$String = get_package_object( 'string' , 'last' , __FILE__ );
$Script = 'some prefix {macro:a=1;b=2} some postfix';
$Result = $String->get_macro_parameters(
$Script , 'macro' , array( 'a' => TERMINAL_VALUE , 'b' => TERMINAL_VALUE )
);
if( $Result == "a=1;b=2" )
{
return( 'TEST PASSED' );
}
else
{
return( 'ERROR' );
}
}

test_regexp_terminal_not_found | ( |  | ) |

Processing with terminal values (case when no macro was found).

Author
  Dodonov A.A.

Definition at line 170 of file unit_tests.php.

{
$String = get_package_object( 'string' , 'last' , __FILE__ );
$Script = 'some prefix {macro:a={lang:space};b=2} some postfix';
$Result = $String->get_macro_parameters(
$Script , 'macro' , array( 'a' => TERMINAL_VALUE , 'b' => TERMINAL_VALUE )
);
if( $Result == false )
{
return( 'TEST PASSED' );
}
else
{
return( 'ERROR' );
}
}

test_set_existing_data | ( |  | ) |

Updating data.

Author
  Dodonov A.A.

Definition at line 103 of file unit_tests.php.

{
$Cache = get_package_object( 'cache' , 'last' , __FILE__ );
$Data = $Cache->add_data( 'existing_data' , '5678' );
$Data = $Cache->set_data( 'existing_data' , '1234' );
$Data = $Cache->get_data( 'existing_data' );
if( $Data === '1234' )
{
return( 'TEST PASSED' );
}
else
{
return( 'ERROR' );
}
}

test_set_un_existing_data | ( |  | ) |

Updating unexisting data.

Author
  Dodonov A.A.

Definition at line 220 of file unit_tests.php.

{
try
{
$CachedFS = get_package_object( 'cached_fs' , 'last' , __FILE__ );
$CachedFS->Cache->delete_data( './unexisting' );
$CachedFS->file_get_contents( './unexisting' );
return( 'ERROR' );
}
catch( Exception $e )
{
return( 'TEST PASSED' );
}
}

test_set_unexisting_data | ( |  | ) |

Updating unexisting data.

Author
  Dodonov A.A.

Definition at line 130 of file unit_tests.php.

{
try
{
$Cache = get_package_object( 'cache' , 'last' , __FILE__ );
$Cache->delete_data( 'existing_data' );
$Data = $Cache->set_data( 'existing_data' , '1234' );
return( 'ERROR' );
}
catch( Exception $e )
{
return( 'TEST PASSED' );
}
}

test_simple | ( |  | ) |

The most simple case.

Author
  Dodonov A.A.

Definition at line 64 of file unit_tests.php.

{
$String = get_package_object( 'string' , 'last' , __FILE__ );
$Script = 'some prefix {macro:a=1;b=2} some postfix';
$Result = $String->get_macro_parameters( $Script , 'macro' );
if( $Result == "a=1;b=2" )
{
return( 'TEST PASSED' );
}
else
{
return( 'ERROR' );
}
}

test_simple_2 | ( |  | ) |

More compilcated test - 2 macro with the same names.

Author
  Dodonov A.A.

Definition at line 90 of file unit_tests.php.

{
$String = get_package_object( 'string' , 'last' , __FILE__ );
$Script = 'some prefix {macro:a=1;b=2} middle {macro:a=3;b=4} some postfix';
$Result = $String->get_macro_parameters( $Script , 'macro' );
if( $Result == "a=1;b=2" )
{
return( 'TEST PASSED' );
}
else
{
return( 'ERROR' );
}
}

test_simple_http | ( |  | ) |

Testing simple request.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 59 of file unit_tests.php.

{
try
{
$http = get_package( 'http' , 'last' , __FILE__ );
$Response = $http->http_request( 'google.com' );
if( strpos( $Response , 'google' ) !== false )
{
return( 'TEST PASSED' );
}
else
{
return( 'ERROR' );
}
}
catch( Exception $e )
{
throw( new Exception( __METHOD__."()::".$e->getMessage() ) );
}
}

test_smth_display_list | ( |  | ) |

Testing unit_tests for test_display_list test.

Author
  Dodonov A.A.

Definition at line 724 of file unit_tests.php.

{
$Files = $this->Utilities->get_files_from_directory( '.' , '/.+\.php/' , true );
for( $i = 0 , $Errors = 0 ; $i < count( $Files ) ; $i++ )
{
if( strpos( $Files[ $i ] , '_manager.php' ) !== false &&
strpos( $Files[ $i ] , 'event_manager.php' ) === false )
{
$Content = file_get_contents( dirname( $Files[ $i ] )."/include/php/unit_tests.php" );
if( strpos( $Content , 'test_display_list' ) === false )
{
$Errors++;
print( "<nobr>".$Files[ $i ]."</nobr><br>" );
}
}
}
return( $Errors == 0 ? 'TEST PASSED' : "ERROR( $Errors )" );
}

test_smth_view_js | ( |  | ) |

Testing script files existence.

Author
  Dodonov A.A.

Definition at line 567 of file unit_tests.php.

{
$Files = $this->Utilities->get_files_from_directory( '.' , '/.+\.php/' , true );
for( $i = 0 , $Errors = 0 ; $i < count( $Files ) ; $i++ )
{
$FileName = basename( $Files[ $i ] , '.php' );
if( strpos( $Files[ $i ] , '_view.php' ) !== false && $FileName !== 'lang_view' &&
$FileName !== 'graph_view' && $FileName !== 'json_view' )
{
$Path = dirname( $Files[ $i ] )."/include/js/$FileName.js";
if( file_exists( $Path ) === false )
{
$Errors++;
print( "<nobr>".$Files[ $i ]."</nobr><br>" );
}
}
}
return( $Errors == 0 ? 'TEST PASSED' : "ERROR( $Errors )" );
}

test_todo_tag | ( |  | ) |

Testing functions searches T0D0 tags in the source code.

Author
  Dodonov A.A.

Definition at line 533 of file unit_tests.php.

{
$Files = $this->Utilities->get_files_from_directory( '.' , '/.+\.(php|js)/' , true );
for( $i = 0 , $Errors = 0 ; $i < count( $Files ) ; $i++ )
{
if( skip_file( $Files[ $i ] ) === false )
{
$Content = file( $Files[ $i ] );
for( $j = 0 ; $j < count( $Content ) ; $j++ )
{
$Line = $Content[ $j ];
if( ( $Start = strpos( $Line , 'TO'.'DO' ) ) !== false )
{
$Errors++;
$Message = trim( mb_substr( $Line , $Start + 5 ) );
print( "<nobr>".$Files[ $i ]." : $Message</nobr><br>" );
}
}
}
}
return( $Errors == 0 ? 'TEST PASSED' : "ERROR( $Errors )" );
}

test_top_complexity | ( |  | ) |

Processing illegal macro.

Author
  Dodonov A.A.

Definition at line 285 of file unit_tests.php.

{
$String = get_package_object( 'string' , 'last' , __FILE__ );
$Script = 'some prefix {macro:a={{}}{}{{}}:space};b=2 middle {{}}}{}{ '.
'{macro:a=3;b=4} some {{}}{}}{}{}{}{} postfix';
$Result = $String->get_macro_parameters(
$Script , 'macro' , array( 'a' => TERMINAL_VALUE , 'b' => TERMINAL_VALUE )
);
if( $Result == 'a=3;b=4' )
{
return( 'TEST PASSED' );
}
else
{
return( 'ERROR' );
}
}

test_tpl_files | ( |  | ) |

Testing attribute "style" presence in the template files.

Author
  Dodonov A.A.

Definition at line 217 of file unit_tests.php.

{
$Files = $this->Utilities->get_files_from_directory( '.' , '/.+\.tpl/' , true );
for( $i = 0 , $Errors = 0 ; $i < count( $Files ) && $Errors < 1000 ; $i++ )
{
$Content = file_get_contents( $Files[ $i ] );
if( strpos( $Content , 'style=' ) !== false )
{
$Errors++;
print( "<nobr>{$Files[ $i ]}</nobr><br>" );
}
}
return( $Errors == 0 ? 'TEST PASSED' : "ERROR( $Errors )" );
}

validate_test_connection_with_errors | ( |  | ) |

Test result validation.

Author
  Dodonov A.A.

Definition at line 136 of file unit_tests.php.

{
try
{
$CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$Content = $CachedMultyFS->file_get_contents( dirname( __FILE__ ).'/cf_config' );
if( $Content != "1\r\n2\r\n" )
{
unlink( dirname( __FILE__ ).'/cf_config' );
return( "ERROR: illegal config content : $Content" );
}
else
{
/* $DBConfigSet->connect ýêñåïøåíà íå êèíóëà è ôàéë êîíôèãà íå èçìåíèëñÿ */
unlink( dirname( __FILE__ ).'/cf_config' );
return( 'TEST PASSED' );
}
}
catch( Exception $e )
{
unlink( dirname( __FILE__ ).'/cf_config' );
return( 'ERROR: exception was thrown' );
}
}

validate_test_connection_without_errors | ( |  | $MTime | ) |

Test result validation.

Returns
  $MTime - Modification time.

Author
  Dodonov A.A.

Definition at line 79 of file unit_tests.php.

{
if( filemtime( dirname( __FILE__ ).'/cf_config' ) != $MTime )
{
return( 'ERROR: file was changed' );
}
else
{
return( 'TEST PASSED' );
}
unlink( dirname( __FILE__ ).'/cf_config' );
}

## Field Documentation

$CacheSwitch

Definition at line 28 of file unit_tests.php.

$ContentMarkup = false

Definition at line 28 of file unit_tests.php.

$ErrorLogAccess = false

Cached object.

Author
  Dodonov A.A.

Definition at line 38 of file unit_tests.php.

$ErrorLogView = false

Definition at line 39 of file unit_tests.php.

$Options = false

Definition at line 40 of file unit_tests.php.

$Utilities = false

Cached object.

Author
  Dodonov A.A.

Definition at line 40 of file unit_tests.php.

The documentation for this class was generated from the following files:

- packages/_core_data/include/php/unit_tests.php
- packages/ad/include/php/unit_tests.php
- packages/ad/packages/ad_banner/include/php/unit_tests.php
- packages/ad/packages/ad_banner/packages/ad_banner_access/include/php/unit_tests.php
- packages/ad/packages/ad_banner/packages/ad_banner_algorithms/include/php/unit_tests.php
- packages/ad/packages/ad_banner/packages/ad_banner_controller/include/php/unit_tests.php
- packages/ad/packages/ad_banner/packages/ad_banner_manager/include/php/unit_tests.php
- packages/ad/packages/ad_banner/packages/ad_banner_view/include/php/unit_tests.php
- packages/ad/packages/ad_campaign/include/php/unit_tests.php
- packages/ad/packages/ad_campaign/packages/ad_campaign_access/include/php/unit_tests.php
- packages/ad/packages/ad_campaign/packages/ad_campaign_algorithms/include/php/unit_tests.php
- packages/ad/packages/ad_campaign/packages/ad_campaign_manager/include/php/unit_tests.php
- packages/ad/packages/ad_view/include/php/unit_tests.php
- packages/cache/include/php/unit_tests.php
- packages/cached_fs/include/php/unit_tests.php
- packages/cached_multy_fs/include/php/unit_tests.php
- packages/captcha/include/php/unit_tests.php
- packages/category/include/php/unit_tests.php
- packages/category/packages/category_access/include/php/unit_tests.php
- packages/category/packages/category_algorithms/include/php/unit_tests.php
- packages/category/packages/category_controller/include/php/unit_tests.php
- packages/category/packages/category_markup/include/php/unit_tests.php
- packages/category/packages/category_view/include/php/unit_tests.php
- packages/category/packages/category_view/packages/category_view_templates/include/php/unit_tests.php
- packages/category/packages/category_widgets/include/php/unit_tests.php
- packages/comment/include/php/unit_tests.php
- packages/comment/packages/comment_access/include/php/unit_tests.php
- packages/comment/packages/comment_algorithms/include/php/unit_tests.php
- packages/comment/packages/comment_controller/include/php/unit_tests.php
- packages/content/include/php/unit_tests.php
- packages/content/packages/content_access/include/php/unit_tests.php
- packages/content/packages/content_algorithms/include/php/unit_tests.php
- packages/content/packages/content_controller/include/php/unit_tests.php
- packages/content/packages/content_markup/include/php/unit_tests.php
- packages/content/packages/content_view/include/php/unit_tests.php
- packages/core/include/php/unit_tests.php
- packages/core/packages/package_algorithms/include/php/unit_tests.php
- packages/core/packages/package_manager/include/php/unit_tests.php
- packages/core/packages/package_markup/include/php/unit_tests.php
- packages/database/include/php/unit_tests.php
- packages/database/packages/change_history/include/php/unit_tests.php
- packages/database/packages/change_history/packages/change_history_access/include/php/unit_tests.php
- packages/database/packages/change_history/packages/change_history_markup/include/php/unit_tests.php
- packages/database/packages/change_history/packages/change_history_view/include/php/unit_tests.php
- packages/database/packages/chronological/include/php/unit_tests.php
- packages/database/packages/database_algorithms/include/php/unit_tests.php
- packages/database/packages/database_logger/include/php/unit_tests.php
- packages/database/packages/dump/include/php/unit_tests.php
- packages/database/packages/mssql_database/include/php/unit_tests.php
- packages/database/packages/mysql_database/include/php/unit_tests.php
- packages/database/packages/oracle_database/include/php/unit_tests.php
- packages/database/packages/ordering/include/php/unit_tests.php
- packages/database/packages/postgre_database/include/php/unit_tests.php
- packages/database/packages/set_field/include/php/unit_tests.php
- packages/database/packages/table/include/php/unit_tests.php
- packages/error_log/include/php/unit_tests.php
- packages/error_log/packages/error_log_access/include/php/unit_tests.php
- packages/error_log/packages/error_log_algorithms/include/php/unit_tests.php
- packages/error_log/packages/error_log_controller/include/php/unit_tests.php
- packages/error_log/packages/error_log_view/include/php/unit_tests.php
- packages/event_manager/include/php/unit_tests.php
- packages/file_formats/include/php/unit_tests.php
- packages/gallery/include/php/unit_tests.php
- packages/graph/packages/graph_data/include/php/unit_tests.php
- packages/gui/include/php/unit_tests.php
- packages/gui/packages/button_markup/include/php/unit_tests.php
- packages/gui/packages/calendar/include/php/unit_tests.php
- packages/gui/packages/checkbox_markup/include/php/unit_tests.php
- packages/gui/packages/colorbox/include/php/unit_tests.php
- packages/gui/packages/context/include/php/unit_tests.php
- packages/gui/packages/context/packages/context_utilities/include/php/unit_tests.php
- packages/gui/packages/context/packages/custom_validations/include/php/unit_tests.php
- packages/gui/packages/context_set/include/php/unit_tests.php
- packages/gui/packages/context_set/packages/common_buttons/include/php/unit_tests.php
- packages/gui/packages/context_set/packages/common_state_startup/include/php/unit_tests.php
- packages/gui/packages/context_set/packages/common_state_startup/packages/common_state_startup_utilities/include/php/unit_tests.php
- packages/gui/packages/context_set/packages/context_set_configs/include/php/unit_tests.php
- packages/gui/packages/context_set/packages/context_set_markup/include/php/unit_tests.php
- packages/gui/packages/context_set/packages/context_set_utilities/include/php/unit_tests.php
- packages/gui/packages/context_set/packages/custom_state_startup/include/php/unit_tests.php
- packages/gui/packages/context_set/packages/default_controllers/include/php/unit_tests.php
- packages/gui/packages/context_set/packages/default_views/include/php/unit_tests.php
- packages/gui/packages/context_set/packages/default_views/packages/default_views_utilities/include/php/unit_tests.php
- packages/gui/packages/context_set/packages/exact_config/include/php/unit_tests.php
- packages/gui/packages/context_set/packages/form_buttons/include/php/unit_tests.php
- packages/gui/packages/controls_markup/include/php/unit_tests.php
- packages/gui/packages/date_picker/include/php/unit_tests.php
- packages/gui/packages/db_markup/include/php/unit_tests.php
- packages/gui/packages/dialogs/include/php/unit_tests.php
- packages/gui/packages/forms/include/php/unit_tests.php
- packages/gui/packages/fs_markup/include/php/unit_tests.php
- packages/gui/packages/href_markup/include/php/unit_tests.php
- packages/gui/packages/jqgrid/include/php/unit_tests.php
- packages/gui/packages/keyboard_markup/include/php/unit_tests.php
- packages/gui/packages/math_markup/include/php/unit_tests.php
- packages/gui/packages/mouse_markup/include/php/unit_tests.php
- packages/gui/packages/multiple_line/include/php/unit_tests.php
- packages/gui/packages/object_list/include/php/unit_tests.php
- packages/gui/packages/paginator/include/php/unit_tests.php
- packages/gui/packages/paginator3000/include/php/unit_tests.php
- packages/gui/packages/paging/include/php/unit_tests.php
- packages/gui/packages/paging/packages/paging_markup/include/php/unit_tests.php
- packages/gui/packages/radiobutton_markup/include/php/unit_tests.php
- packages/gui/packages/string_markup/include/php/unit_tests.php
- packages/gui/packages/timer_widget/include/php/unit_tests.php
- packages/gui/packages/video_markup/include/php/unit_tests.php
- packages/jquery/packages/dialog_markup/include/php/unit_tests.php
- packages/jquery/packages/jquery_corner/include/php/unit_tests.php
- packages/jquery/packages/jquery_dropdown/include/php/unit_tests.php
- packages/jquery/packages/jquery_markup/include/php/unit_tests.php
- packages/jquery/packages/jquery_media/include/php/unit_tests.php
- packages/jquery/packages/jquery_simplemodal/include/php/unit_tests.php
- packages/jsdialogs/include/php/unit_tests.php
- packages/jslib/include/php/unit_tests.php
- packages/json/include/php/unit_tests.php
- packages/json/packages/json_view/include/php/unit_tests.php
- packages/lang/include/php/unit_tests.php
- packages/lang/packages/lang_markup/include/php/unit_tests.php
- packages/lang/packages/lang_view/include/php/unit_tests.php
- packages/link/include/php/unit_tests.php
- packages/link/packages/link_dictionary/include/php/unit_tests.php
- packages/link/packages/link_utilities/include/php/unit_tests.php
- packages/mail/include/php/unit_tests.php
- packages/maps/include/php/unit_tests.php
- packages/maps/packages/google_maps/include/php/unit_tests.php
- packages/menu/include/php/unit_tests.php
- packages/menu/packages/menu_access/include/php/unit_tests.php
- packages/menu/packages/menu_item_access/include/php/unit_tests.php
- packages/menu/packages/menu_item_manager/include/php/unit_tests.php
- packages/menu/packages/menu_manager/include/php/unit_tests.php
- packages/menu/packages/menu_view/include/php/unit_tests.php
- packages/page/include/php/unit_tests.php
- packages/page/packages/auto_controller/include/php/unit_tests.php
- packages/page/packages/auto_markup/include/php/unit_tests.php
- packages/page/packages/auto_view/include/php/unit_tests.php
- packages/page/packages/browser_markup/include/php/unit_tests.php
- packages/page/packages/messages/include/php/unit_tests.php
- packages/page/packages/page_composer/include/php/unit_tests.php
- packages/page/packages/page_css/include/php/unit_tests.php
- packages/page/packages/page_db_access/include/php/unit_tests.php
- packages/page/packages/page_js/include/php/unit_tests.php
- packages/page/packages/page_manager/include/php/unit_tests.php
- packages/page/packages/page_markup/include/php/unit_tests.php
- packages/page/packages/page_markup/packages/page_markup_utilities/include/php/unit_tests.php
- packages/page/packages/page_meta/include/php/unit_tests.php
- packages/page/packages/page_parts/include/php/unit_tests.php
- packages/page/packages/template_content/include/php/unit_tests.php
- packages/page/packages/template_content/packages/template_content_access/include/php/unit_tests.php
- packages/page/packages/template_content/packages/template_content_controller/include/php/unit_tests.php
- packages/page/packages/template_content/packages/template_content_markup/include/php/unit_tests.php
- packages/page/packages/template_content/packages/template_content_view/include/php/unit_tests.php
- packages/permit/include/php/unit_tests.php
- packages/permit/packages/group_access/include/php/unit_tests.php
- packages/permit/packages/group_buttons/include/php/unit_tests.php
- packages/permit/packages/group_controller/include/php/unit_tests.php
- packages/permit/packages/group_manager/include/php/unit_tests.php
- packages/permit/packages/group_markup/include/php/unit_tests.php
- packages/permit/packages/group_view/include/php/unit_tests.php
- packages/permit/packages/ownership/include/php/unit_tests.php
- packages/permit/packages/ownership/packages/ownership_access/include/php/unit_tests.php
- packages/permit/packages/ownership/packages/ownership_controller/include/php/unit_tests.php
- packages/permit/packages/permit_access/include/php/unit_tests.php
- packages/permit/packages/permit_access/packages/permit_access_utilities/include/php/unit_tests.php
- packages/permit/packages/permit_algorithms/include/php/unit_tests.php
- packages/permit/packages/permit_buttons/include/php/unit_tests.php
- packages/permit/packages/permit_controller/include/php/unit_tests.php
- packages/permit/packages/permit_manager/include/php/unit_tests.php
- packages/permit/packages/permit_markup/include/php/unit_tests.php
- packages/permit/packages/permit_view/include/php/unit_tests.php
- packages/permit/packages/user_permit_manager/include/php/unit_tests.php
- packages/pmsg/include/php/unit_tests.php
- packages/pmsg/packages/pmsg_access/include/php/unit_tests.php
- packages/pmsg/packages/pmsg_algorithms/include/php/unit_tests.php
- packages/pmsg/packages/pmsg_controller/include/php/unit_tests.php
- packages/pmsg/packages/pmsg_markup/include/php/unit_tests.php
- packages/pmsg/packages/pmsg_view/include/php/unit_tests.php
- packages/rating/include/php/unit_tests.php
- packages/rating/packages/rating_access/include/php/unit_tests.php
- packages/rating/packages/rating_algorithms/include/php/unit_tests.php
- packages/rating/packages/rating_markup/include/php/unit_tests.php
- packages/report/include/php/unit_tests.php
- packages/report/packages/report_utilities/include/php/unit_tests.php
- packages/review/include/php/unit_tests.php
- packages/review/packages/review_access/include/php/unit_tests.php
- packages/review/packages/review_algorithms/include/php/unit_tests.php
- packages/review/packages/review_controller/include/php/unit_tests.php
- packages/review/packages/review_markup/include/php/unit_tests.php
- packages/review/packages/review_view/include/php/unit_tests.php
- packages/rss/include/php/unit_tests.php
- packages/sape/include/php/unit_tests.php
- packages/sape/packages/pr_sape_common_api/include/php/unit_tests.php
- packages/sape/packages/pr_sape_project_api/include/php/unit_tests.php
- packages/sape/packages/sape_common_api/include/php/unit_tests.php
- packages/sape/packages/sape_project_api/include/php/unit_tests.php
- packages/sape/packages/sape_site_api/include/php/unit_tests.php
- packages/sape/packages/sape_utilities/include/php/unit_tests.php
- packages/schedule/include/php/unit_tests.php
- packages/schedule/packages/schedule_access/include/php/unit_tests.php
- packages/schedule/packages/schedule_algorithms/include/php/unit_tests.php
- packages/search/include/php/unit_tests.php
- packages/search/packages/search_engines/include/php/unit_tests.php
- packages/search/packages/search_markup/include/php/unit_tests.php
- packages/security/packages/data_filtration/include/php/unit_tests.php
- packages/security/packages/security_markup/include/php/unit_tests.php
- packages/security/packages/security_parser/include/php/unit_tests.php
- packages/security/packages/security_utilities/include/php/unit_tests.php
- packages/security/packages/security_validator/include/php/unit_tests.php
- packages/security/packages/security_validator/packages/predicates/include/php/unit_tests.php
- packages/security/packages/supported_data_types/include/php/unit_tests.php
- packages/settings/packages/settings/include/php/unit_tests.php
- packages/settings/packages/db_settings/include/php/unit_tests.php
- packages/settings/packages/package_settings/include/php/unit_tests.php
- packages/settings/packages/settings/include/php/unit_tests.php
- packages/settings/packages/settings_controller/include/php/unit_tests.php
- packages/settings/packages/settings_utilities/include/php/unit_tests.php
- packages/settings/packages/settings_view/include/php/unit_tests.php
- packages/site/include/php/unit_tests.php
- packages/site/packages/site_access/include/php/unit_tests.php
- packages/site/packages/site_algorithms/include/php/unit_tests.php
- packages/site/packages/site_controller/include/php/unit_tests.php
- packages/site/packages/site_view/include/php/unit_tests.php
- packages/stat/include/php/unit_tests.php
- packages/stat/packages/stat_access/include/php/unit_tests.php
- packages/string/packages/macro_parser/include/php/unit_tests.php
- packages/string/packages/tags/include/php/unit_tests.php
- packages/string/packages/text/include/php/unit_tests.php
- packages/subscription/include/php/unit_tests.php
- packages/subscription/packages/subscription_access/include/php/unit_tests.php
- packages/subscription/packages/subscription_algorithms/include/php/unit_tests.php
- packages/subscription/packages/subscription_controller/include/php/unit_tests.php
- packages/subscription/packages/subscription_markup/include/php/unit_tests.php
- packages/subscription/packages/subscription_view/include/php/unit_tests.php
- packages/system_structure/include/php/unit_tests.php
- packages/system_structure/packages/system_structure_access/include/php/unit_tests.php
- packages/system_structure/packages/system_structure_controller/include/php/unit_tests.php
- packages/system_structure/packages/system_structure_view/include/php/unit_tests.php
- packages/template_manager/include/php/unit_tests.php
- packages/template_manager/packages/base_template/include/php/unit_tests.php
- packages/template_manager/packages/business_template/include/php/unit_tests.php
- packages/template_manager/packages/data_template/include/php/unit_tests.php
- packages/template_manager/packages/default_template_script/include/php/unit_tests.php
- packages/template_manager/packages/globe_template/include/php/unit_tests.php
- packages/template_manager/packages/main_template/include/php/unit_tests.php
- packages/template_manager/packages/mono_template/include/php/unit_tests.php
- packages/testing/include/php/unit_tests.php
- packages/top/include/php/unit_tests.php
- packages/trace/include/php/unit_tests.php
- packages/user/include/php/unit_tests.php
- packages/user/packages/user_access/include/php/unit_tests.php
- packages/user/packages/user_access/packages/user_access_utilities/include/php/unit_tests.php
- packages/user/packages/user_algorithms/include/php/unit_tests.php
- packages/user/packages/user_controller/include/php/unit_tests.php
- packages/user/packages/user_controller/packages/user_controller_utilities/include/php/unit_tests.php
- packages/user/packages/user_manager/include/php/unit_tests.php
- packages/user/packages/user_markup/include/php/unit_tests.php
- packages/user/packages/user_view/include/php/unit_tests.php
- packages/utilities/include/php/unit_tests.php
- packages/xml/include/php/unit_tests.php
- packages/xml/packages/yandex_xml/include/php/unit_tests.php
- packages/xml/packages/yandex_xml/packages/yandex_markup/include/php/unit_tests.php
- packages/comment/packages/comment_markup/include/php/unit_tests.php
- packages/comment/packages/comment_view/include/php/unit_tests.php
- packages/data_form/include/php/unit_tests.php
- packages/database/packages/db_config_set/include/php/unit_tests.php
- packages/file_input/packages/file_input_access/include/php/unit_tests.php
- packages/file_input/packages/file_input_algorithms/include/php/unit_tests.php
- packages/file_input/packages/file_input_controller/include/php/unit_tests.php
- packages/file_input/packages/file_input_markup/include/php/unit_tests.php
- packages/file_input/packages/file_input_view/include/php/unit_tests.php
- packages/gallery/packages/gallery_access/include/php/unit_tests.php
- packages/gallery/packages/gallery_algorithms/include/php/unit_tests.php
- packages/gallery/packages/gallery_controller/include/php/unit_tests.php
- packages/gallery/packages/gallery_markup/include/php/unit_tests.php
- packages/gallery/packages/gallery_view/include/php/unit_tests.php
- packages/graph/include/php/unit_tests.php
- packages/graph/packages/graph_core/include/php/unit_tests.php
- packages/graph/packages/graph_data/packages/graph_data_access/include/php/unit_tests.php
- packages/graph/packages/graph_data/packages/graph_data_algorithms/include/php/unit_tests.php
- packages/graph/packages/graph_map/include/php/unit_tests.php
- packages/graph/packages/graph_utilities/include/php/unit_tests.php
- packages/graph/packages/graph_view/include/php/unit_tests.php
- packages/gui/packages/jstree/include/php/unit_tests.php
- packages/http/include/php/unit_tests.php
- packages/jquery/include/php/unit_tests.php
- packages/page/packages/page_access/include/php/unit_tests.php
- packages/page/packages/page_composer_utilities/include/php/unit_tests.php
- packages/string/include/php/unit_tests.php